## org.apache.solr.client.solrj.request
Class CoreAdminRequest.RequestRecovery

    java.lang.Object
      org.apache.solr.client.solrj.SolrRequest
          org.apache.solr.client.solrj.request.CoreAdminRequest
              org.apache.solr.client.solrj.request.CoreAdminRequest.RequestRecovery

All Implemented Interfaces:
  Serializable

Enclosing class:
  CoreAdminRequest

    public static class CoreAdminRequest.RequestRecovery

extends CoreAdminRequest

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.solr.client.solrj.request.CoreAdminRequest
`CoreAdminRequest.Create, CoreAdminRequest.MergeIndexes, CoreAdminRequest.Persist, CoreAdminRequest.RequestRecovery, CoreAdminRequest.RequestSyncShard, CoreAdminRequest.Unload, CoreAdminRequest.WaitForState`

Nested classes/interfaces inherited from class org.apache.solr.client.solrj.SolrRequest
`SolrRequest.METHOD`

Field Summary

Fields inherited from class org.apache.solr.client.solrj.request.CoreAdminRequest
`action, core, other`

Constructor Summary
`CoreAdminRequest.RequestRecovery()`

Method Summary
`SolrParams` `getParams()`

Methods inherited from class org.apache.solr.client.solrj.request.CoreAdminRequest
`createCore, createCore, getContentStreams, getStatus, mergeIndexes, persist, process, reloadCore, renameCore, setAction, setCoreName, setOtherCoreName, unloadCore, unloadCore`

Methods inherited from class org.apache.solr.client.solrj.SolrRequest
`getMethod, getPath, getResponseParser, getStreamingResponseCallback, setMethod, setPath, setResponseParser, setStreamingResponseCallback`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CoreAdminRequest.RequestRecovery

    public CoreAdminRequest.RequestRecovery()

Method Detail

### getParams

    public SolrParams getParams()

  Overrides:
    `getParams` in class `CoreAdminRequest`